Status: Closed   
Assignee: Eric Helms   
Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1096183 Red Hat JIRA:  

Pull request:    

Description

Attempting to select a link from the Group Actions pane of a system group, will not properly redirect the user to the systems page,

due to a javascript error.

Scenario:

1. Go to Hosts -> System Groups

2. Select a system group

3. Click Group Actions

4. Click one of the links on the pane (e.g. "Package Installation, Removal and Update"

Observe page attempts to redirect to the Systems page; however, it fails to render.

Observe a javascript error in the browser console that looks similar to:

TypeError: Object #<Object> has no method 'allSelected'

at Object.self.table.selectAllResults (

http://dhcp129-18.rdu.redhat.com:3000/assets/bastion/widgets/nutupane.factory.js?body=1:271:32)

at new <anonymous> (http://dhcp129-18.rdu.redhat.com:3000/assets/bastion/systems/systems.controller.js?body=1:54:28)

at invoke (http://dhcp129-18.rdu.redhat.com:3000/assets/bastion/angular/angular.js?body=1:3711:17)

at Object.instantiate (http://dhcp129-18.rdu.redhat.com:3000/assets/bastion/angular/angular.js?body=1:3722:23)

at http://dhcp129-18.rdu.redhat.com:3000/assets/bastion/angular/angular.js?body=1:6773:28

at http://dhcp129-18.rdu.redhat.com:3000/assets/bastion/angular-ui-router/angular-ui-router.js?body=1:2798:28

at nodeLinkFn (http://dhcp129-18.rdu.redhat.com:3000/assets/bastion/angular/angular.js?body=1:6227:13)

at compositeLinkFn (http://dhcp129-18.rdu.redhat.com:3000/assets/bastion/angular/angular.js?body=1:5637:15)

at publicLinkFn (http://dhcp129-18.rdu.redhat.com:3000/assets/bastion/angular/angular.js?body=1:5542:30)

at updateView (http://dhcp129-18.rdu.redhat.com:3000/assets/bastion/angular-ui-router/angular-ui-router.js?body=1:2734:23)

<section class="container-fluid ng-scope" ui-view=""> angular.js?body=1:9420

This may be a regression introduced by:

https://github.com/Katello/katello/pull/3958

Associated revisions

Revision 14a0dfad - 05/28/2014 02:40 PM - Eric Helms

Fixes #5231: Host collection action links will properly select hosts, BZ1096183.

Revision ac0751ff - 05/28/2014 03:30 PM - Eric Helms

Merge pull request #4171 from ehelms/fixes-5231

Fixes #5231: Host collection action links will properly select hosts, BZ1096183.

Revision 429ac9c9 - 05/28/2014 06:40 PM - Eric Helms

Fixes #5231: Host collection action links will properly select hosts, BZ1096183.

Revision 074a901f - 05/28/2014 07:30 PM - Eric Helms
Merge pull request #4171 from ehelms/fixes-5231

Fixes #5231: Host collection action links will properly select hosts, BZ1096183.

History

#1 - 04/24/2014 07:45 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#2 - 05/15/2014 06:21 PM - Brad Buckingham

- Assignee set to Eric Helms

#3 - 05/28/2014 06:36 PM - Eric Helms

- Target version set to 45

#4 - 05/28/2014 07:41 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1096183

#5 - 05/28/2014 07:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:429ac9c999278938b2d7d2bb555ba489ee18f162.
